View Issue Details

IDProjectCategoryView StatusLast Update
0011235ScribusGeneralpublic2015-05-18 23:43
Reporterpygmee Assigned To 
PrioritynormalSeveritymajorReproducibilitysometimes
Status newResolutionopen 
Product Version1.4.1 
Summary0011235: Master page side bad applied
DescriptionDuring a workshop it appears that people running scribus 1.4.1 on windows (mainly Vista) had right master page also applied on the left page. This happen not only in single page doc but also in double sided. Strangley it doesn't seem very consistent as a bug for the MP is not always applied on all the page but only some. COuldn't find more.
TagsNo tags attached.
Patch

Relationships

related to 0008356 new Left/Right masterpages are misplaced after page insert 
child of 0003837 acknowledged Metabug: Master pages/Page templates 

Activities

ale

2012-12-06 08:19

manager   ~0029331

Last edited: 2012-12-06 15:06

i think that the "bug" is much deeper...

... and the solution goes probably through a change in the way master pages are displayed are created...

probably, it should not be possible to create one left master page: one should create a master page for a double page.

in the edit master pages view one should not be able to see a left or right page... only the double pages together.

this has already been requested, and should probably be the only way master pages are viewed...

there are several question that are open (what happens when the layout is changed from double to single? should it be possible to change the layout after the document has been created? after a master page has been edited? if it is possible, what happens? with the existing MP?)...

ps.: the picture is taken from the book we did two years ago with scribus...

ale

2012-12-06 15:06

manager  

collabook.png (98,826 bytes)   
collabook.png (98,826 bytes)   

JLuc

2014-06-23 19:11

developer   ~0032264

can you upload a faulty SLA ?

ale

2014-06-24 05:01

manager  

r_on_l.sla (17,445 bytes)

JLuc

2014-06-24 09:18

developer   ~0032272

So its the normal behaviour of scribus.

There is allready a warning in the preflight checker, but none when deleting or adding some pages that mess the MP arrangement.

When deleting some page-s or adding some page-s, scribus could check and when required issue a warning :
"warning : adding-deleting this-these page-s will mess the MP arrangement and lead to incorrect L MP being applied on R page or R MP being applied on L Page"

JLuc

2014-06-24 11:07

developer   ~0032275

On a 2 facing page layout, a smarter behaviour for the deletion/add of a single page (or uneven # of page) might trigger an optional "Do you want to keep or switch masterpages" ?
But that requires scribus to know which is the right MP for such left MP and which is the left MP or such right MP, which means pairing the MPs.
Pairing could be done through data structure /or/ through some naming convention (like : "mymp_right" or "mymp_R" faces "mymp_left" or "mymp_L")

Some similar arrangement could be found for 3 or 4 folds-layouts

FirasH

2014-06-24 13:30

developer   ~0032277

0008356?

Issue History

Date Modified Username Field Change
2012-12-05 16:53 pygmee New Issue
2012-12-05 18:27 jghali Target Version 1.4.2 =>
2012-12-06 08:19 ale Note Added: 0029331
2012-12-06 15:06 ale File Added: collabook.png
2012-12-06 15:06 ale Note Edited: 0029331
2014-06-23 19:11 JLuc Note Added: 0032264
2014-06-24 05:01 ale File Added: r_on_l.sla
2014-06-24 09:18 JLuc Note Added: 0032272
2014-06-24 11:07 JLuc Note Added: 0032275
2014-06-24 13:30 FirasH Note Added: 0032277
2014-07-09 22:36 Kunda Relationship added child of 0003837
2015-05-18 23:43 Kunda Relationship added related to 0008356